docbook2x (0.8.8-17+dilos1) unstable; urgency=medium

  * Build for DilOS.

 -- DilOS Team <dilos@dilos.org>  Fri, 10 Sep 2021 12:15:58 +0300

docbook2x (0.8.8-17) unstable; urgency=medium

  * Team upload.
  * Bump dh compat level
  * Bump standards version (no changes)
  * Add R³=no to allow building w/o fakeroot
  * Add Vcs fields for salsa.debian.org
  * Remove myself from uploaders

 -- W. Martin Borgert <debacle@debian.org>  Sat, 12 May 2018 18:38:18 +0000

docbook2x (0.8.8-16) unstable; urgency=medium

   [ Helmut Grohne ]
   * Mark docbook2x Multi-Arch: foreign. (Closes: #884926)

   [ Gianfranco Costamagna ]
   * Bump compat level to 10
     - Drop dh-autoreconf dependency,
       --parallel and --with-autoreconf:
       automatic in compat level 10
   * Bump std-version to 4.1.2, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Dec 2017 17:21:28 +0100

docbook2x (0.8.8-15) unstable; urgency=medium

  * Team upload
  * Remove dependency on sp.

 -- Neil Roeth <neil@debian.org>  Wed, 27 Jul 2016 20:34:59 -0400

docbook2x (0.8.8-14) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the package build twice in a row (Closes: #799755)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Mar 2016 16:01:28 +0200

docbook2x (0.8.8-13) unstable; urgency=medium

  * Remove Daniel Leidert from Uploaders, as requested in
    bug #802375 
    - thanks a lot for your hard work there!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Oct 2015 16:20:06 +0200

docbook2x (0.8.8-12) unstable; urgency=medium

  * Use dh-autoreconf again, the problem was a patch
    "01_fix_static_datadir_evaluation.patch" applied to configure
    instead of configure.ac (Closes: #800142)
  * Remove 07_fix_597454_usr_share_info_dir_gz.patch, useless
    with autoreconf.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Sep 2015 13:54:45 +0200

docbook2x (0.8.8-11) unstable; urgency=medium

  * use autotools-dev, autoreconf seems to lead to a broken package.
    $ /usr/bin/docbook2x-man boinc.xml
    /usr/bin/utf8trans:${prefix}/share/docbook2X/charmaps/roff.charmap:
    No such file or directory

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Sep 2015 12:38:22 +0200

docbook2x (0.8.8-10) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Remove VCS fields, not used anymore
  * Bumped standard version to 3.9.6
  * Update my uid.
  * wrap-and-sort
  * Use dh-autoreconf instead of autotools-dev
  * Drop cdbs and refactor rules file.

  [ Santiago Vila ]
  * d/p/07_fix_597454_usr_share_info_dir_gz.patch: do not install
    info/dir.gz files. (Closes: #799700)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Sep 2015 08:58:58 +0200

docbook2x (0.8.8-9) unstable; urgency=high

  * Rebuild against new debhelper (Closes: #603322, Closes: #718982)
  * Added autotools-dev as build-dep, helping with outdated autotools files
  * Bumped standard version to 3.9.4
  * Removed dm-upload-allowed
  * Bumped compat level to 9
  * Added myself to uploaders (Closes: #660682)
  * Dropped some version check in debian/control
    newer version already in oldstable
  * Switch to quilt
  * debian/rules: removing *.info from debian directory in clean target
  * Added 06_fix_man_typo.patch, fixing two man typos
  * Removed Rafael Laboissiere from uploaders list (Closes: #571830)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 07 Aug 2013 13:44:32 +0200

docbook2x (0.8.8-8) unstable; urgency=low

  * debian/rules (binary-post-install): Fix manpages to talk about the renamed
    commands.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 06 Sep 2008 10:59:50 +0200

docbook2x (0.8.8-7) unstable; urgency=low

  * debian/docbook2x.doc-base (Section): Fixed accordingly to version 0.8.10
    of the doc-base manual.
  * debian/watch: Fixed.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 08 Jul 2008 14:53:08 +0200

docbook2x (0.8.8-6) unstable; urgency=low

  * debian/compat: Raised to v5.
  * debian/control: Added DM-Upload-Allowed for DM status.
    (Build-Depends): Raised debhelper to v5.
    (Standards-Version): Raised to 3.7.3.
  * debian/copyright: Fixed typo. Thanks to lintian.
  * debian/docbook2x.doc-base (Document): Fixed uppercase letter. Thanks to
    lintian.
  * debian/patches/05_fix_439214_error_on_missing_refentry.dpatch: Added.
    - xslt/man/docbook.xsl: Print a warning if no refentry element can be
      found (closes: #439214).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 13 Feb 2008 18:08:08 +0100

docbook2x (0.8.8-5) unstable; urgency=low

  * debian/control: Homepage field transition.
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Added --with-html-xsl configure
    option to prevent docbook2X FTBFS building twice in a row. Thanks to
    Steven Cheng, Patrick Winnertz and Lucas Nussbaum (closes: #441700).
  * debian/watch: Added.
  * debian/patches/01_fix_static_datadir_evaluation.dpatch: Adjusted.
    - Removed change in configure.ac to avoid rerunning all the autotools.
  * debian/patches/04_fix_442782_preprocessor_declaration_syntax.dpatch: Added.
    - Fixes preprocessor declaration syntax to be '\" (closes: #442782).
      Thanks to Colin Watson for the report and the patch.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 25 Nov 2007 03:40:18 +0000

docbook2x (0.8.8-4) unstable; urgency=high

  [ Daniel Leidert ]
  * debian/control (Depends): Added xsltproc. Thanks to Peter Eisentraut and
    Adeodato Simó for the hint (closes: #420345). Further added the necessary
    sp | opensp and texinfo dependencies.
  * debian/patches/03_fix_420153_filename_whitespace_handling.dpatch: Added.
    - First normalize the refentrytitle content and then replace spaces with
      underlines to create the manpage filename (closes: #420153). Thanks to
      Peter Eisentraut for reporting this issue.
  * debian/patches/00list: Adjusted.
    - Added 03_fix_420153_filename_whitespace_handling.dpatch.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 21 Apr 2007 21:05:46 +0200

docbook2x (0.8.8-3) unstable; urgency=high

  [ Daniel Leidert ]
  * debian/control (Depends): Added ${misc:Depends} variable to fix missing
    dependency on xml-core (closes: #419419). Thanks to Kurt Roeckx for the
    report.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 15 Apr 2007 19:10:50 +0200

docbook2x (0.8.8-2) unstable; urgency=high

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Added xml-core and re-added dpatch..
  * debian/docbook2x.xmlcatalogs: Added to register XML catalogs.
  * debian/rules: Re-added dpatch ruleset.
    (binary-install/docbook2x): Register the XML catalogs shipped with the
    package source (closes: #418703).
  * debian/patches/01_fix_static_datadir_evaluation.dpatch: Added. Fixes the
    broken ${datadir} evaluation in configure(.ac) that leads to an unusable
    package.
  * debian/patches/02_fix_418703_dont_use_abbreviated_sfnet_address.dpatch:
    Added. Don't use the short sf.net URLs. This with the above issue probably
    caused bug #418703. However, having the catalogs registered was already in
    TODO.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 12 Apr 2007 16:27:10 +0200

docbook2x (0.8.8-1) unstable; urgency=low

  * New upstream version 0.8.8.
  * Upload to unstable (closes: #409524).

  [ Daniel Leidert ]
  * debian/control: Added XS-Vcs-Browser and XS-Vcs-Svn fields.
    (Build-Depends): Removed dpatch dependency.
  * debian/rules: Removed dpatch ruleset inclusion.
    (binary-install/docbook2x): Added the upstream changelog as well.
  * debian/patches/00list:
  * debian/patches/01_add_missing_documentation.dpatch: Removed. Fixed
    upstream.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 10 Apr 2007 22:54:42 +0200

docbook2x (0.8.7-1) experimental; urgency=low

  * New upstream release 0.8.7 (closes: #292046).
    - This release also doesn't fail to build any longer with the latest
      libxml-sax-perl (closes: #409524).

  [ Daniel Leidert ]
  * debian/control (Uploaders): Added myself.
  (Build-Depends): Added dpatch, opensp, sp and xsltproc and removed
  libxslt1-dev.
  (Build-Conflicts): Added tidy to avoid further tests.
  * debian/copyright: Small update.
  * debian/docbook2x.doc-base: Added for registering the docbook2X HTML docs
    with doc-base.
  * debian/rules: Removed simple-patchsys.mk inclusion and made the makefile
    smaller. Added the dpatch ruleset to apply changes.
    (common-install-prehook-arch, binary-install): Fixed. The info files come
    with a INFO-DIR-SECTION entry. Further there is also info documentation
    for the xslt stylesheets.
    (binary-post-install): Removed a lot of obsolete stuff. The Perl stuff is
    not longer installed. No CVS content is installed.
    (binary-post-install, DEB_CONFIGURE_EXTRA_FLAGS): Replaced the manual
    program/man-page renaming with adding --program-transform-name to
    configure flags.
    (clean): Removed unused stuff and improved the rest a bit.
  * debian/patches/01_add_missing_documentation.dpatch: Added.
    - This patch adds the missing docbook2{man,texi}.html files to the
      documentation.
  * debian/patches/00list: Added. Apply patch(es).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 25 Feb 2007 22:28:34 +0100

docbook2x (0.8.3-1) unstable; urgency=low

  * New upstream release.  Removed all the patches that used to be in
    debian/patches, since they have been applied upstream.
  * debian/control:
    - In Build-Depends, dropped libxml-perl and added libxml-sax-perl.
    - Added Build-Conflicts on libxml2-utils, because the presence of
      /usr/bin/xmllint triggers unecessary buildings in the doc
      directory.
  * debian/rules: Added an extra clean target for files left after building
    the upstream package that are not removed by make clean.  Also, make
    sure that debian/examples is clean.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 18 Jul 2004 22:24:57 +0200

docbook2x (0.8.2-6) unstable; urgency=low

  * debian/control: Added dependencies on ${perl:Depends}, libxml-perl,
    and libtext-wrapi18n-perl.  The variable ${perl:Depends} is set by
    dh_perl.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 29 Apr 2004 14:32:06 +0200

docbook2x (0.8.2-5) unstable; urgency=low

  * debian/patches/50-malocc-return.patch: Added this patch to fix a
    serious upstream bug which was preventing the package of being built
    by the ia64, hppa, sparc, and powerpc build daemons.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 29 Apr 2004 12:12:12 +0200

docbook2x (0.8.2-4) unstable; urgency=low

  * debian/control: Added build-dependency on texinfo, since the makeinfo
    program is needed for building the package.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 25 Apr 2004 21:29:15 +0200

docbook2x (0.8.2-3) unstable; urgency=low

  * debian/control: Added build-dependency on libxml-perl.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 25 Apr 2004 17:09:09 +0200

docbook2x (0.8.2-2) unstable; urgency=low

  * debian/patches/50-gentext-dingbat-template.patch: Patch for
    xslt/common/gentext.xsl, defining the lacking gentext-dingbat template
    (closes: #245340).
  * debian/patches/50-i-element.patch: Patch for xslt/texi/biblio.xsl,
    fixing wrong <I> elements (closes: #245343).
  * debian/patches/50-xml-fixes.patch: Patch for fixing XML problems in
    the upstream files doc/docbook2X.xml and doc/faq.xml.
  * debian/rules:
    - Include cdbs' simple-patchsys.mk for coping with the patches above.
    - Removed hard-coded Perl version from some installation directories
      names.  There is now a PERL_INSTALLPRIVLIB variable, properly
      initialized through the Perl Config module (closes: #245291).
    - Install Perl module in standard place, complying with the Debian
      Perl Policy (closes: #245305).
    - Run make clean in perl/XML/Handler directory to avoid inclusion of
      extraneous patches in the Debian diff.gz file.  Remove also
      Makefile.old.
  * debian/control:
    - Added versioned build-dependency on libxslt1-dev.  Also, changed
      Build-Depends-Indep to Build-Depends, since the package is
      Architecture: any (closes: #245285).
    - Cite upstream URL homepage in debian/control in accordance with the
      Debian Best Packaging Practices manual (closes: #245447)
    - Added Uploaders field with Ardo, Wolfgang, and Rafael.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 25 Apr 2004 14:45:14 +0200

docbook2x (0.8.2-1) unstable; urgency=low

  * Initial package.  Closes: #185295.
  * The file install.xml is missing from the upstream archive, but is
    available at the web site.
  * Beware: <qandaset> can only be handled with defaultlabel attribute.

 -- W. Borgert <debacle@debian.org>  Sat, 13 Mar 2004 09:41:07 +0000
